#Code and data set for testing Likert, Polar, and demographic surveys

#Comparison of pre- and post- survey polar questions for overall participants, used to evaluate switching from no --> yes or negative to positive answers across the pre and post survey
#McNemar's One sided test for polar (Y/N) questions
#Testing for movement from No to Yes (aka Postive Improvement)
#Questions 10-19
Q10<- matrix(c(20, 27, 22, 3), nrow=2, dimnames= list ("1st Survey" = c("No", "Yes"),                                                        +                                                        "2nd Survey" = c("No", "Yes")))
print(Q10)
mcnemar.test(Q10)


#Comparison of pre- and post- survey Likert scale 
#Use of a Welch's t-test for testing the null that two populations have the same mean but unequeal sample sizes 
#Welch's one- and two- sided t-tests for all Likert scale questions 

#Overall

#Self-Identifying Non-STEM

#Self-Identifying STEM


#----
#Demographics of Overall Participants
#Sorted into: Composition (percentage) of Pre- and Post-, Percentage retained between surveys  